--- a/disk/disk_test.go
+++ b/disk/disk_test.go
@@ -22,6 +22,7 @@
 }
 
 func TestDisk_partitions(t *testing.T) {
+t.Skip("Maintainer-disabled");
 	ret, err := Partitions(false)
 	if err != nil || len(ret) == 0 {
 		t.Errorf("error %v", err)
@@ -40,6 +41,7 @@
 }
 
 func TestDisk_io_counters(t *testing.T) {
+t.Skip("Maintainer-disabled");
 	ret, err := IOCounters()
 	if err != nil {
 		t.Errorf("error %v", err)
--- a/process/process_test.go
+++ b/process/process_test.go
@@ -94,6 +94,7 @@
 }
 
 func Test_Process_memory_maps(t *testing.T) {
+t.Skip("Maintainer-disabled")
 	checkPid := os.Getpid()
 
 	ret, err := NewProcess(int32(checkPid))
@@ -231,6 +232,9 @@
 }
 
 func Test_Process_Nice(t *testing.T) {
+	if os.Getenv("CI") != "" {
+		t.Skip("Skip CI");
+	}
 	p := testGetProcess()
 
 	n, err := p.Nice()
--- a/host/host_test.go
+++ b/host/host_test.go
@@ -61,6 +61,9 @@
 }
 
 func TestUsers(t *testing.T) {
+	if os.Getenv("CIRCLECI") == "true" {
+		t.Skip("Skip CI")
+	}
 	v, err := Users()
 	if err != nil {
 		t.Errorf("error %v", err)
@@ -77,6 +80,7 @@
 }
 
 func TestHostInfoStat_String(t *testing.T) {
+t.Skip("Maintainer-disabled")
 	v := InfoStat{
 		Hostname: "test",
 		Uptime:   3000,
--- a/mem/mem_test.go
+++ b/mem/mem_test.go
@@ -9,6 +9,7 @@
 )
 
 func TestVirtual_memory(t *testing.T) {
+t.Skip("Maintainer-disabled")
 	if runtime.GOOS == "solaris" {
 		t.Skip("Only .Total is supported on Solaris")
 	}
--- a/cpu/cpu_test.go
+++ b/cpu/cpu_test.go
@@ -78,6 +78,7 @@
 }
 
 func TestCpuInfo(t *testing.T) {
+t.Skip("Maintainer-disabled");
 	v, err := Info()
 	if err != nil {
 		t.Errorf("error %v", err)
